var updatetimes = 0;

function updateApp(check) {
	// 判断升级检测是否过期
	console.log(check)
	if(!check) {
		var keyUpdate = "updateCheck"; //取消升级键名
		var checkInterval = 86400000; //升级检查间隔，单位为ms,1天为1*24*60*60*1000=86400000, 如果每次启动需要检查设置值为0
		var lastcheck = plus.storage.getItem(keyUpdate);
		if(lastcheck) {
			var dc = parseInt(lastcheck);
			var dn = (new Date()).getTime();
			if(dn - dc < checkInterval) { // 未超过上次升级检测间隔，不需要进行升级检查
				return;
			}
			// 取消已过期，删除取消标记
			plus.storage.removeItem(keyUpdate);
		}
	}
	var v = plus.runtime.version;
	tiza.ajax("System/APPInfo", {
		data: {
			deviceType: mui.os.android ? "1" : "2",
			version: v,
			appId: 1
		},
		type: "get",
		user: false,
		success: function(result) {
			if(result.state == "001") {
				var load = document.getElementById("loadding");
				var backdrop = document.getElementById("backdrop");
				if(backdrop && load) {
					load.style.display = 'none';
					backdrop.style.display = 'none';
				}
				if(result.data.version == v) {
					if(check == "check") {
						mui.toast('当前已经是最新版本');
					}
					return;
				}
				document.getElementById("version").innerText = result.data.version;
				document.getElementById("fileSize").innerText = "6M";
				document.getElementById("updateVersion").setAttribute("data-type", mui.os.android ? "1" : "2");
				document.getElementById("updateVersion").setAttribute("data-url", result.data.url);
				document.getElementById("Progress_box").style.display = 'none';
				document.getElementById("version_box").style.display = "block";
				document.getElementById("backdrops").style.display = "block";
			} else {
				var load = document.getElementById("loadding");
				var backdrop = document.getElementById("backdrop");
				if(backdrop && load) {
					load.style.display = 'none';
					backdrop.style.display = 'none';
				}
			}
		}
	});
}

document.getElementById("updateVersion").addEventListener('tap', function() {
	++updatetimes;
	if(updatetimes > 1) {
		return;
	}
	var dtype = this.getAttribute('data-type');
	var dUrl = this.getAttribute('data-url');
	console.log(dUrl)
	if(dtype && dUrl) {
		if(dtype == 2) {
			//跳到应用市场或者AppStore下载     
			plus.runtime.openURL(dUrl);
		} else {
			//先关闭遮罩
			document.getElementById("version_box").style.display = "none";
			downloadApp(dUrl);
		}
	} else {
		plus.nativeUI.alert("更新出错，请退出应用程序稍后重新尝试！", function() {
			plus.runtime.restart();
		});
	}
});

//差量升级或者资源文件增量升级
function downloadApp(dUrl) {
	//plus.nativeUI.showWaiting("升级中...");
	document.getElementById("updateProgress").style.width = '0%';
	document.getElementById('numProcess').innerText = '0%';
	document.getElementById("Progress_box").style.display = '';
	var dtask = plus.downloader.createDownload(dUrl, {
		method: "GET"
	}, function(d, status) {
		if(status == 200) {
			plus.runtime.install(d.filename, {}, function() {
				document.getElementById("updateProgress").style.width = '100%';
				document.getElementById('numProcess').innerText = '100%';
				document.getElementById("backdrops").style.display = "none";
				document.getElementById("Progress_box").style.display = 'none';
				document.getElementById("backdrops").style.display = "block";
				updatetimes = 0;
				plus.nativeUI.alert("升级成功, 立即重启应用程序!", function() {
					plus.runtime.restart();
				});
			}, function(e) {
				document.getElementById("backdrops").style.display = "none";
				document.getElementById("Progress_box").style.display = 'none';
				document.getElementById("backdrops").style.display = "block";
				updatetimes = 0;
				plus.nativeUI.alert("更新失败，请退出应用程序稍后重新尝试！", function() {
					plus.runtime.restart();
				});
			});
		} else {
			document.getElementById("backdrops").style.display = "none";
			document.getElementById("Progress_box").style.display = 'none';
			document.getElementById("backdrops").style.display = "block";
			updatetimes = 0;
			plus.nativeUI.alert("更新失败，请退出应用程序稍后重新尝试！", function() {
				plus.runtime.restart();
			});
		}
	});
	dtask.addEventListener('statechanged', function(task, status) {
		if(status != null && status == 200 && task.state != null) {
			var persent = (task.downloadedSize / task.totalSize * 100).toFixed(0);
			document.getElementById("updateProgress").style.width = persent + '%';
			document.getElementById('numProcess').innerText = persent + '%';

		}
	});
	dtask.start();
}

function getWidgetInfo() {
    plus.runtime.getProperty( plus.runtime.appid, function ( wgtinfo ) {
        //version属性
       versions= wgtinfo.version;
    } );
}